> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Leaves



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json get /admin_api/leaves
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /admin_api/leaves:
    get:
      tags:
        - leaf_admin
        - quanta-services-api
      summary: List Leaves
      operationId: list_leaves
      parameters:
        - name: include_archived
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Archived
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ResolvedLeaf'
                title: Response List Leaves
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ResolvedLeaf:
      properties:
        leaf_qid:
          type: string
          title: Leaf Qid
        slug:
          type: string
          title: Slug
        title:
          type: string
          title: Title
        archived:
          type: boolean
          title: Archived
        resolved_version:
          anyOf:
            - $ref: '#/components/schemas/ResolvedLeafVersion'
            - type: 'null'
      type: object
      required:
        - leaf_qid
        - slug
        - title
        - archived
        - resolved_version
      title: ResolvedLeaf
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ResolvedLeafVersion:
      properties:
        qid:
          type: string
          title: Qid
        version_no:
          type: integer
          title: Version No
        body_md:
          type: string
          title: Body Md
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        created_by:
          type: string
          title: Created By
        created_at:
          type: string
          format: date-time
          title: Created At
        is_override:
          type: boolean
          title: Is Override
      type: object
      required:
        - qid
        - version_no
        - body_md
        - reason
        - created_by
        - created_at
        - is_override
      title: ResolvedLeafVersion
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.